Page MenuHomePhabricator

[Feeds] Implement "in the news" card.
Closed, ResolvedPublic5 Story Points

Description

This is to implement a card for the feed that shows a reading suggestion based on current news events.

This shall retrieve the news content from the corresponding MCS endpoint.

Event Timeline

Dbrant created this task.Mar 7 2016, 3:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 3:13 PM
MBinder_WMF set the point value for this task to 10.Mar 15 2016, 5:46 PM
MBinder_WMF added a subscriber: MBinder_WMF.

Pointing as part of work breakdown meeting.

possible sub-tasks: data collection; separate functionality per language; processing.

MBinder_WMF removed the point value for this task.Apr 13 2016, 7:04 PM
MBinder_WMF set the point value for this task to 2.May 13 2016, 6:15 PM

A couple of notes on the issue of the In the News thumbnail:
*There is one, sometimes, but not always.
*When there is one, it appears to be indicated by an italicized parenthetical phrase in the blurb to which it pertains.
**It's not marked in any particularly reliable way, such as an element ID or class, but also isn't a situation that can't be handled with a trusty regex. ;)
*The thumbnail size on enwiki is too small, so we'd probably end up having to add a MW API call in the content service to get a bigger one.

Kaity's mock for the card didn't include a thumbnail (maybe since it's not always the case that there is one), but it might be nice to have in the card when present and is worth thinking about.

Mholloway moved this task from To Do to Doing on the Mobile-App-Android-Sprint-85-Astatine board.

Change 296488 had a related patch set uploaded (by Mholloway):
In the News card view/model classes

https://gerrit.wikimedia.org/r/296488

Change 296488 merged by jenkins-bot:
In the News card view/model classes

https://gerrit.wikimedia.org/r/296488

Change 296792 had a related patch set uploaded (by Mholloway):
WIP: In the News card: add interactivity

https://gerrit.wikimedia.org/r/296792

Mholloway changed the point value for this task from 2 to 3.Jul 1 2016, 5:26 PM
Mholloway changed the point value for this task from 3 to 5.Jul 1 2016, 6:09 PM

Change 296792 merged by jenkins-bot:
In the News card: add interactivity

https://gerrit.wikimedia.org/r/296792

Dbrant closed this task as Resolved.Jul 14 2016, 2:20 PM